#include<iostream>
using namespace std;

int a,b;

int main()
{
  cin >> a >> b;
  int c1=0, c2=0, c3=0;
  for(int i=a;i<=b;i++)
  {
	if(i%10!=0) continue;
	if(i%10000==0) continue;
    if(i%1000==0)c3++;
	else if(i%100==0)c2++;
 	else if(i%10==0)c1++;
  }

  cout << c1 << endl << c2 << endl << c3 << endl;
}

